#include<iostream>
#include<algorithm>
using namespace std;
int main() {
	int i=0,x,m,n=0;
	cin>>x>>m;
	x=x-1;
	int j=m;
	int s=(2*x)-1;
	int h[s];
	for(i=0;i<x;i++){
		j--;
		h[n]=j;
		n++;
		}
	j=m;
	h[n]=j;
	n++;
	for(i=0;i<x;i++){
		j++;
        h[n]=j;
        n++;
	}
	int k=n;
    sort(h,h+k);
	for(i=0;i<n;i++)
        cout<<h[i]<<" " ;
	return 0;
}
